package com.qmth.sop.common.enums;

/**
 * @Description: 模板下载类型
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2023/8/1
 */
public enum ImportTemplateEnum {

    TEMPLATE_USE_ARCHIVES("user_archives.xlsx", "人员档案导入模板.xlsx"),

    TEMPLATE_CUSTOM("custom.xlsx", "客户导入模板.xlsx"),

    TEMPLATE_DEVICE("device.xlsx", "设备导入模板.xlsx"),

    TEMPLATE_DELIVERY("delivery.xlsx", "设备发货导入模板.xlsx");

    ImportTemplateEnum(String templateName, String fileName) {
        this.templateName = templateName;
        this.fileName = fileName;
    }

    private final String templateName;
    private final String fileName;

    public String getTemplateName() {
        return templateName;
    }

    public String getFileName() {
        return fileName;
    }
}
